Subject: Re: [Syslog] Working Group Last Calls

From: "Glenn M. Keeni" <[email-masked]>
Date: Mon, 04 Sep 2006 17:48:53 +0900

Hi,
    Sincere apologies for the delay in sending the following comments
on the Syslog Protocol document. I faced problems with these while
trying to align the mib document with the protocol document

    In section 6.2.1
    a. The concept of Facility in the syslog protocol context should
       be explained
    b. In Table 1 references are made to "note 1" and "note 2"
       these notes do not exist in the document
    c. In Table 1
       Facility 9,15 both denote the clock daemon
       Facility 4,14 both denote security/authorization messages

    I think that a,b are editorial matters while c is WG matter.

Cheers

Glenn

David Harrington wrote:
> Hi,
> 
> The WGLC for -protocol-17 and -udp-07 documents will end later today.
> Please review and comment on these documents today. 
> 
> David Harrington
> [email-masked] 
> [email-masked]
> [email-masked]
> 
> 
> _______________________________________________
> Syslog mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/syslog

_______________________________________________
Syslog mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/syslog

---

From: "tom.petch" <[email-masked]>
Date: Tue, 5 Sep 2006 09:01:12 +0200

----- Original Message -----
From: "Glenn M. Keeni" <[email-masked]>
To: <[email-masked]>
Sent: Monday, September 04, 2006 10:48 AM
Subject: Re: [Syslog] Working Group Last Calls

>        Facility 4,14 both denote security/authorization messages

So what:-)

This is a copy of RFC3164 which in turn is lifted from the mass of
implementations so we are documenting what is, which is the point of the
exercise.

I am unclear what you would change it to since any change would make it wrong,
IMHO.

Tom Petch

---

From: "Glenn M. Keeni" <[email-masked]>
Date: Wed, 06 Sep 2006 07:42:31 +0900

>>        Facility 4,14 both denote security/authorization messages
a. I would consider that to be sloppy specs. I will not argue
    any further on that point :-)
b. rfc3164 describes to the BSD syslog protocol.
    In BSD implementations (e.g. FreeBSD) there is a subtle
    difference between Facility 4 (LOG_AUTH) and 14(LOG_AUTHPRIV).
    Facility 15 is reserved for system use.
c. The syslog protocol is defining a standard, not describing
    existing implementations.
    [Existing implementations will not inter-operate with the
    new protocol] Correct me if I am wrong.

So what should we do ? Well, discuss it and decide that is what
we have the working group for :-) [Apologies if this has been
discussed already - I missed it. ]
 >
 > I am unclear what you would change it to since any change
 > would make it wrong, IMHO.
 >
:-)

Cheers

Glenn

---

From: "tom.petch" <[email-masked]>
Date: Wed, 6 Sep 2006 10:49:32 +0200

My thinking is that the detailed semantics of Table 1 (and 2 and 3) are not
necessary for interoperability of the protocol, rather they are up in some
higher layer.  I think that the text which follows Table 1
"The above semantics for Facility values are not normative but often
   used.  A receiver MUST NOT assume any specific semantics by default"
expresses it rather well and that that is as far as we should go in -protocol.

Tom Petch